paex_wmme_surround.c File Reference
Example programs demonstrating PortAudio usage

Use WMME-specific channelMask to request 5.1 surround sound output. More...

`#include <stdio.h>`
`#include <math.h>`
`#include <windows.h>`
`#include <mmsystem.h>`
`#include "portaudio.h"`
`#include "pa_win_wmme.h"`

Go to the source code of this file.

## Data Structures

struct | paTestData

## Macros

#define | NUM_SECONDS (12)
#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (64)
#define | M_PI (3.14159265)
#define | TABLE_SIZE (100)
#define | CHANNEL_COUNT (6)

## Functions

int | main (int argc, char *argv[])

## Detailed Description

Use WMME-specific channelMask to request 5.1 surround sound output.

Author
  Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om

Definition in file paex_wmme_surround.c.